#define outputA 6 //CLK
#define outputB 7 //DT
#define PinSW 8 //Switch
#include "HID-Project.h"

int aState;
int aLastState;  

void setup()
{ 
  pinMode (outputA,INPUT);
  pinMode (outputB,INPUT);
  pinMode(PinSW, INPUT_PULLUP);
   
  aLastState = digitalRead(outputA);   
  Consumer.begin(); 
} 

void loop()
{
  int btn = digitalRead(PinSW);
  
  if (!(digitalRead(PinSW))) {
    Consumer.write(MEDIA_PLAY_PAUSE);
    delay(250);    
  }
  
  aState = digitalRead(outputA); // Reads the "current" state of the outputA
  if (aState != aLastState){     
    if (digitalRead(outputB) != aState) { 
      Consumer.write(MEDIA_VOLUME_UP);
      Keyboard.releaseAll();
    } else {
      Consumer.write(MEDIA_VOLUME_DOWN);
    }
  } 
  aLastState = aState; // Updates the previous state of the outputA with the current state
 }
